# OgrePass.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreColourValue.h"`
`#include "OgreBlendMode.h"`
`#include "OgreCommon.h"`
`#include "OgreLight.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreUserObjectBindings.h"`

Go to the source code of this file.

## Classes

class | Ogre::Pass
| Class defining a single pass of a Technique (of a Material), i.e. More...
struct | Ogre::Pass::HashFunc
| Definition of a functor for calculating the hashcode of a Pass. More...
struct | Ogre::IlluminationPass
| Struct recording a pass which can be used for a specific illumination stage. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef vector < IlluminationPass * >::type | Ogre::IlluminationPassList

## Enumerations

enum | Ogre::IlluminationStage { Ogre::IS_AMBIENT, Ogre::IS_PER_LIGHT, Ogre::IS_DECAL, Ogre::IS_UNKNOWN }
| Categorisation of passes for the purpose of additive lighting. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52